package cn.com.countrygarden.bi.main.model.financial.dto;

import java.math.BigDecimal;

/**
 * @program: DPshow_depart
 * @description: 项目利润详细 DTO
 * @author: SignV
 * @create: 2018-08-24 13:09
 **/
public class ProjectProfitDetail{
    private String organCode;               //区域编号
    private String organName;               //区域名称
    private String year;                    //年份
    private String month;                   //月份
    private int routineCount;               //纯常规
    private int caseCount;                  //纯案场
    private int routineCaseCount;           //混合（常规与案场）
    private int projectCount;               //项目统计/个
    private BigDecimal incomeWithOutTax;    //不含税收入
    private BigDecimal profit;              //利润
    private BigDecimal profitRate;          //利润率 = 利润 / 不含税收入 （利润为0时，利润率为0）

    public ProjectProfitDetail() {
    }

    public ProjectProfitDetail(String organName,String organCode, String year, String month, int routineCount, int caseCount, int routineCaseCount, int projectCount, BigDecimal incomeWithOutTax, BigDecimal profit, BigDecimal profitRate) {
        this.organName = organName;
        this.organCode = organCode;
        this.year = year;
        this.month = month;
        this.routineCount = routineCount;
        this.caseCount = caseCount;
        this.routineCaseCount = routineCaseCount;
        this.projectCount = projectCount;
        this.incomeWithOutTax = incomeWithOutTax;
        this.profit = profit;
        this.profitRate = profitRate;
    }

    public ProjectProfitDetail(String organCode, String year, String month, int routineCount, int caseCount, int routineCaseCount, int projectCount, BigDecimal incomeWithOutTax, BigDecimal profit, BigDecimal profitRate) {
        this.organCode = organCode;
        this.year = year;
        this.month = month;
        this.routineCount = routineCount;
        this.caseCount = caseCount;
        this.routineCaseCount = routineCaseCount;
        this.projectCount = projectCount;
        this.incomeWithOutTax = incomeWithOutTax;
        this.profit = profit;
        this.profitRate = profitRate;
    }

    public String getOrganCode() {
        return organCode;
    }

    public void setOrganCode(String organCode) {
        this.organCode = organCode;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public int getRoutineCount() {
        return routineCount;
    }

    public void setRoutineCount(int routineCount) {
        this.routineCount = routineCount;
    }

    public int getCaseCount() {
        return caseCount;
    }

    public void setCaseCount(int caseCount) {
        this.caseCount = caseCount;
    }

    public int getRoutineCaseCount() {
        return routineCaseCount;
    }

    public void setRoutineCaseCount(int routineCaseCount) {
        this.routineCaseCount = routineCaseCount;
    }

    public int getProjectCount() {
        return projectCount;
    }

    public void setProjectCount(int projectCount) {
        this.projectCount = projectCount;
    }

    public BigDecimal getIncomeWithOutTax() {
        return incomeWithOutTax;
    }

    public void setIncomeWithOutTax(BigDecimal incomeWithOutTax) {
        this.incomeWithOutTax = incomeWithOutTax;
    }

    public BigDecimal getProfit() {
        return profit;
    }

    public void setProfit(BigDecimal profit) {
        this.profit = profit;
    }

    public BigDecimal getProfitRate() {
        return profitRate;
    }

    public void setProfitRate(BigDecimal profitRate) {
        this.profitRate = profitRate;
    }
}
